### Property

# Adw SqueezerPage:enabled

#### Declaration

    property enabled: gboolean [ read, write ]

#### Description [src]

Whether the child is enabled.

If a child is disabled, it will be ignored when looking for the child fitting the available size best.

This allows to programmatically and prematurely hide a child even if it fits in the available space.

This can be used e.g. to ensure a certain child is hidden below a certain window width, or any other constraint you find suitable.

Type: | `gboolean`
Available since: | 1.0

Getter method | `adw_squeezer_page_get_enabled()`
Setter method | `adw_squeezer_page_set_enabled()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no